Subject: [bug#66263] Updated patch series.

From: Jean-Pierre De Jesus Diaz <[email-masked]>
Date: Mon, 11 Dec 2023 12:30:30 +0000

Hi!

Thanks for pushing these changes! Hope to help around more in embedded
target areas,
and sorry for the issues on indentation and commit messages.

Cheers!

On Mon, Dec 11, 2023 at 11:58 AM Efraim Flashner <[email-masked]> wrote:
>
> On Tue, Nov 28, 2023 at 11:50:50AM +0000, Jean-Pierre De Jesus Diaz via Guix-patches via wrote:
> > Hello,
> >
> > I've sent an updated revision of the changes, now adding
> > the MinGW toolchain targets and also changing the Ergodox
> > and QMK firmwares to use #:target "avr" for cross-compilation,
> > so it removes make-avr-toolchain from `qmk` inputs as packages
> > should use #:target "avr" or in user profiles cases they can install
> > the toolchain from the packages in cross-toolchain.scm.
> >
> > The QMK package warns about the firmware not compiling with
> > GCC 8+ but it seems to be working right now with the default
> > GCC used in Guix, so maybe it'd be to tie the package to the
> > default GCC version as IIRC there's no way to pass a custom base
> > GCC version when using #:target means of cross compilation.
> >
> > I've also moved the toolchain procedure to cross-base.scm and
> > memoized it.
>
> Wow! Thank you for all the work on this.
>
> Patches slightly modified (indentation, wording on commit messages) and
> pushed!
>
> --
> Efraim Flashner   <[email-masked]>   רנשלפ םירפא
> GPG key = A28B F40C 3E55 1372 662D  14F7 41AA E7DC CA3D 8351
> Confidentiality cannot be guaranteed on emails sent or received unencrypted

-- 
Jean-Pierre De Jesus DIAZ
Foundation Devices, Inc.